General help

2.7 installing plugins validation error

 
 
Picture of Barbara Taylor
2.7 installing plugins validation error
 

Hello,

On 2.7 I am using the install plugin button to locate and install plugins.  I cannot get past the validation check and it just gives an error message.  I can't figure out how to find validation logs and debugging turned on doesn't tell me anything.  I checked and confirmed that I can read, write, and execute so it should go through without problems.  Where else should I look?  I have tried this on 3 different plugins.  I even tried it using the download zip method and it gave the same error.  At the top it just says "Validation failed!" and then no other information.

Thanks for any direction.

Barbara 

 
Average of ratings: -
Picture of Marcus Green
Re: 2.7 installing plugins validation error
Group Particularly helpful Moodlers

Could you provide a screen shot

 
Average of ratings: -
Picture of Barbara Taylor
Re: 2.7 installing plugins validation error
 

Marcus,

Attached is the screenshot.  It happens with any plugin I try to install. I haven't been able to find the validation logs.

Thank you,


Barbaravalidation error message when installing plugin

 
Average of ratings: -
Picture of Barbara Taylor
Re: 2.7 installing plugins validation error
 

This is the debugging information.

debugging message for validation error

 
Average of ratings: -
Picture of Sakshi Goel
Re: 2.7 installing plugins validation error
Group Particularly helpful MoodlersGroup Testers

Hello Barbara,

Are you installing pool in atto editor folder path moodle/lib/editor/atto/plugins , please remove it from there and install it in moodle/lib/editor/tinymce/Plugins directory . Secondly also install poodl filter https://moodle.org/plugins/view.php?plugin=filter_poodll .


If you are not getting how to install it please read readme.txt file inside the plugin zip folder.

 
Average of ratings: -
Picture of Barbara Taylor
Re: 2.7 installing plugins validation error
 

Hi Sakshi,

I am installing the plugin for ATTO so it goes into the ATTO plugins folder.  I am considering just using TinyMCE again.  We like that toolbar better anyway.

Thank you,

Barbara

 
Average of ratings: -
Picture of Justin Hunt
Re: 2.7 installing plugins validation error
Group Particularly helpful Moodlers

Hi Barbara

The folder you are installing it into is correct, if you are installing PoodLL Anywhere for Atto , and you are installing into the Atto plugins folder 

And I am just as baffled as you are as to where the validation logs are. But I wonder if they are  visible under the reports section of the site administration .. (I attached a screenshot .. This is Moodle 2.7)

Otherwise they would probably be in your apache error logs. Do you know how to get/see those? 


 
Average of ratings: -
Picture of Barbara Taylor
Re: 2.7 installing plugins validation error
 

Hi Justin,

I looked at the logs from the front in and there isn't anything there that explains the error and I don't see anything specifically saying validation logs.  One of our server admins recommended looking at the apache logs as well.  I am going to have someone who knows what those mean read them.

We are installing it through the Plugins-> Install Add-ons -> install add-ons from the Moodle plugins directory button and also from the zip but neither work. 

Since this is the one for ATTO it goes into the ATTO plugins folder.  

I tried another plugin and received the same error message.  I'd like to know why so we can get it fixed and I don't have to rely on someone else to install them for me through command lines.

Barbara

 
Average of ratings: -